package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PoliceManning;
import com.lightinit.hsdatashow.entity.PoliceManningExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface PoliceManningMapper {
    long countByExample(PoliceManningExample example);

    int deleteByExample(PoliceManningExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PoliceManning record);

    int insertSelective(PoliceManning record);

    List<PoliceManning> selectByExample(PoliceManningExample example);

    PoliceManning selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PoliceManning record, @Param("example") PoliceManningExample example);

    int updateByExample(@Param("record") PoliceManning record, @Param("example") PoliceManningExample example);

    int updateByPrimaryKeySelective(PoliceManning record);

    int updateByPrimaryKey(PoliceManning record);

    List<ChartModel> getPolicepro();
}